Skip to content

Attach a file from the file system catalog.

POST
/api/workspace/attachments/from-catalog
curl --request POST \
--url https://example.com/api/workspace/attachments/from-catalog \
--header 'Content-Type: application/json' \
--data '{ "Owner": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "FileId": "example", "Relations": [ { "Target": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "RelationKind": 0, "Source": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "PolicyCode": "example", "CorrelationId": "example" } ], "Origin": { "Source": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "PolicyCode": "example", "CorrelationId": "example" } }'
  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

object
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
FileId
string
nullable
Relations
Array<object>
nullable
object
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable

OK

Media typeapplication/json
object
Data
object
Id
string
nullable
FolderId
string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
nullable
FileName
string
nullable
Description
string
nullable
MimeType
string
nullable
SizeBytes
integer format: int64
ChecksumSha256
string
nullable
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
object
Id
string
nullable
FolderId
string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
nullable
FileName
string
nullable
Description
string
nullable
MimeType
string
nullable
SizeBytes
integer format: int64
ChecksumSha256
string
nullable
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data
object
Id
string
nullable
FolderId
string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
nullable
FileName
string
nullable
Description
string
nullable
MimeType
string
nullable
SizeBytes
integer format: int64
ChecksumSha256
string
nullable
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}